Subject: Requesting help!!!

From: Chulwhan So <[email-masked]>
Date: Wed, 20 Nov 1996 13:11:53 -0500 (EST)

Hello, let me introduce myself first briefly

My name is Chulwhan So, grad. student at U. of Michigan working for 
Prof. Tim Killeen. Actually, he suggested me to study one of his former 
student, Wei Deng's thesis and his 1d Satellite Track Code which is 
based on Roble's 1d tgcm model to reproduce some of the results to prepare 
for near-future research. But I have very little computer experience with 
this kind of comprehensive model. My problem is that there is no one 
familiar with your code in the dept. now. Wei Deng suggested me to 
contact you to ask for help. Dr. Alan Burns helped me with 
some of the introductory materials but we still fail to run the code 
because of the problem in the submission file to CRAY 
(de_track1.sh);necessary files are missing including .tar files.
I tried NCAR package but Wei Deng's account at NCAR now vanished, which 
contained some necessary .tar files
He said he doesn't remember all the files in his NCAR account. Basically,
those were some UNIX tar files which he got from youand he said those files
are required to run Ray Roble's 1D TGCM model.
We are kind of stuck. In fact, I don't know anything about the file contains.
I think I really need your help to get everything on the right track.
So, could you be kind enough to look over the file (de_track1.sh)
that I send you here and to make some corrections or to instruct me
with how to fix the mistakes in there and to send me back
every needed information? Although the file has been changed slightly, I 
believe you could find what is wrong in very short time.
So, please, do not ignore my request and help me,
I have no one to turn to on this. Your help would be greatly appreciated.
Thank you. ---Chulwhan So. 

---de_track1.sh---

#
# QSUB -s /bin/csh
# QSUB -eo 
# QSUB -lT 800
# QSUB -q  prem 
# QSUB -lM 3Mw
# QSUB -nr
#
ja
cd $TMPDIR
#
# glbmean model
# (may be submitted via MASnet with netsh (aliased by shjob),
#  or via MIGS with nrnet)
#
set job = de_track                      # job name
set rhome = /home/cedar/aburns          # remote home
set rsdir = "cedar.hao.ucar.edu:~aburns/$job"   # remote dir with source 
and input
set rtdir = "cedar.hao.ucar.edu:/d/aburns/$job" # remote temp dir to rcv 
metacode
batchname $job.$$                       # output file name (no path)
#
set rdstart = /ROBLE/GLBMEAN/GLBM03     # mss file to be read by restart
set wrstart = /ABURNS/DE_TRACK/GLBM03  # mss file to be written by restart
#set rdhist = /ROBLE/RGR91/MATRTS1      # hist to read from mss (optional)
#set wrhist = /FOSTER/GLBMEAN/MATRTS2   # hist to write to mss (optional)
#
set host=gandalf.engin.umich.edu
set login=tgcm
set pw=tmodel.

msread pltcva.o /EMERY/PLTCVA.O         # plot lib from mss
if ($?rdhist) then
  echo Doing msread of $rdhist ...
  msread -R ERADEX $rdhist              # get read hist from mss
  assign -a ERADEX fort.7               # assign mss read hist to ft07
endif
if ($?wrhist) assign -a ORADEX fort.12  # assign mss write hist to ft12
#
echo Doing msread of $rdstart ...
# msread $job.read $rdstart             # get restart file from mss
cp /u1/aburns/glbm03 $job.read
assign -a $job.read    fort.8
assign -a $job.write   fort.9
assign -a vshdata.dat  fort.11
assign -a geodat.dat   fort.15
assign -a de1187.dat   fort.14
assign -a lapi1187.dat fort.16
assign -a magb1187.dat fort.18
#
rsh cedar.hao.ucar.edu "cd $rhome/$job; tarsrc" # tar source on sting
#rcp $rtdir/$job.tar .                          # get src tar file from sting
#tar xf $job.tar                                        # untar source
#msread $job.obj.tar /ABURNS/$job/obj.tar       # get obj tar file from mss
#tar xf $job.obj.tar                            # untar object code
#checkincs                                      # check includes
ftp -n -v <<endftp
  open $host
  open $host
  user $login $pw
  cd 1d_model/orb1187 
  get de_track.f
  get tesubs.f  
  get denmod.f denmod.f
  get opdifsv.f 
  get lapi_ave.f
  get geodat.dat
  get de1187.dat
  get lapi1187.dat
  get magb1187.dat
  get solheat.f solheat.f
  quit
endftp
ls
pwd
cp /u1/aburns/makefile makefile
make                                            # make it
rcp $rsdir/$job.inp .                           # get input file from sting
$job.ymp < $job.inp > $job.out || debug -s $job.ymp     # execute
rcp $job.out $rtdir/$job.out
mswrite -t 367 $job.write $wrstart              # write new restart file
#rcp gmeta $rtdir/$job.cgm                      # return metacode to sting
#
ftp -n -v <<endftp
  open $host
  user $login $pw
  cd 1d_model/junk1
  put fort.20
  put fort.21
  put fort.30
  put fort.31
  put fort.33
  put fort.35
  put fort.37
  put fort.39
  put fort.40
  put fort.41
  put fort.42
  put fort.43
  put fort.44
  put fort.45
  put fort.46
  binary
  put gmeta
  put de_track.out
  quit
endftp
rm $job.obj.tar                                 # remove old obj tar file
tar cf $job.obj.tar *.o                         # make new obj tar file
mswrite $job.obj.tar /ABURNS/$job/obj.tar       # put new obj tar on mss
if ($?wrhist) mswrite -t 367 ORADEX $wrhist     # dispose new history file
ja -st 
   
--- end of de_track1.sh ---